Package org.apache.nutch.collection

## Class CollectionManager

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.nutch.collection.CollectionManager

- All Implemented Interfaces:
    `Configurable`

      public class CollectionManager
      extends Configured

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_FILE_NAME` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CollectionManager()` | Used for testing
    `` | `CollectionManager​(Configuration conf)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Subcollection` | `createSubCollection​(String id, String name)` | Create a new subcollection.
    `void` | `deleteSubCollection​(String id)` | Delete named subcollection
    `Collection<Subcollection>` | `getAll()` | Returns all collections
    `static CollectionManager` | `getCollectionManager​(Configuration conf)` |
    `Subcollection` | `getSubColection​(String id)` | Get the named subcollection
    `List<Subcollection>` | `getSubCollections​(String url)` | Return names of collections url is part of
    `protected void` | `init()` |
    `protected void` | `parse​(InputStream input)` |
    `void` | `save()` | Save collections into file

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FILE_NAME

          public static final String DEFAULT_FILE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CollectionManager

          public CollectionManager​(Configuration conf)

    - #### CollectionManager

          protected CollectionManager()

      Used for testing

  - ### Method Detail

    - #### init

          protected void init()

    - #### parse

          protected void parse​(InputStream input)

    - #### getCollectionManager

          public static CollectionManager getCollectionManager​(Configuration conf)

    - #### getSubColection

          public Subcollection getSubColection​(String id)

      Get the named subcollection
      Parameters:
        `id` - the id of a subcollection ot retrieve
      Returns:
        Named SubCollection (or null if not existing)

    - #### deleteSubCollection

          public void deleteSubCollection​(String id)
                                   throws IOException

      Delete named subcollection
      Parameters:
        `id` - Id of SubCollection to delete
      Throws:
        `IOException` - If there is an error retrieving and deleting the subcollection from the collection.

    - #### createSubCollection

          public Subcollection createSubCollection​(String id,
                                                   String name)

      Create a new subcollection.
      Parameters:
        `id` - Id of SubCollection to create
        `name` - Name of SubCollection to create
      Returns:
        Created SubCollection or null if allready existed

    - #### getSubCollections

          public List<Subcollection> getSubCollections​(String url)

      Return names of collections url is part of
      Parameters:
        `url` - The url to test against Collections
      Returns:
        A `List` of `Subcollection`'s

    - #### getAll

          public Collection<Subcollection> getAll()

      Returns all collections
      Returns:
        All collections CollectionManager knows about

    - #### save

          public void save()
                    throws IOException

      Save collections into file
      Throws:
        `IOException` - If there is a fatal error flushing or closing the `FileOutputStream` associated with the save process.